View Issue Details

IDProjectCategoryView StatusLast Update
0029233Open CASCADEOCCT:Data Exchangepublic2021-09-11 14:05
Reporteraml Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version7.2.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0029233: Data Exchange - Incorrect result of conversion to the STEP format.
DescriptionThis shape can be obtained as a result of the "topology" exercise of the official OCCT training.

 
Steps To Reproducerestore d:/bean.brep orig
testwritestep d:/bean.step orig
testreadstep d:/bean.step result
vdisplay result; vsetdispmode 1; vleft; vfit;
TagsNo tags attached.
Test case numberbugs step bug29233

Attached Files

  • bean.brep (71,851 bytes)
  • BadResult.png (22,641 bytes)

Activities

aml

2017-10-17 11:29

developer  

bean.brep (71,851 bytes)

aml

2017-10-17 11:29

developer  

BadResult.png (22,641 bytes)

git

2021-09-02 15:57

administrator   ~0103680

Branch CR29233 has been created by asemenov_ext.

SHA-1: de73909a54305d3a8b7711d891321ce60bb5a56b


Detailed log of new commits:

Author: asemenov
Date: Thu Sep 2 15:32:11 2021 +0300

    0029233: Incorrect result of conversion to the STEP format.
    
    Modified the method TopoDSToStep_MakeStepFace::Init
    Added processing of degenerate toroidal surfaces, which are the base surfaces of offset surfaces
    Added test

kgv

2021-09-02 16:06

developer   ~0103682

Please configure your text editor to use (2) spaces instead of tabulation symbols for indentation to follow OCCT Code Style.

git

2021-09-07 14:00

administrator   ~0103887

Branch CR29233 has been updated forcibly by asemenov_ext.

SHA-1: ddc6b9095f58c7b01d53243aea705d11a4492545

asemenov_ext

2021-09-07 14:02

developer   ~0103888

While converting from BREP to STEP, the degenerative (R < r) toroidal surface is transformed into a revolution surface. However, if the surface is "complex" (for example, offset) and a base surface is a degenerative toroidal surface, a base surface does not transform into a revolution surface.

asemenov_ext

2021-09-07 14:03

developer   ~0103889

Dear ika, please review branch CR29233

ika

2021-09-07 14:41

developer   ~0103892

Dear asemenov,

Tabs are still here, please update your fix according to code rules.

git

2021-09-07 16:07

administrator   ~0103896

Branch CR29233 has been updated forcibly by asemenov_ext.

SHA-1: 49886637d2f0a7ce01a02257140548e0c049c763

asemenov_ext

2021-09-07 16:50

developer   ~0103897

Dear ika,

The tabs have been transformed.

ika

2021-09-08 16:31

developer   ~0103929

All tests successfully passed.

Dear bugmaster,

please integrate:
OCCT - CR29233,
Products - NOT.

smoskvin

2021-09-11 13:25

administrator   ~0104007

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-11 14:05

administrator   ~0104022

Branch CR29233 has been deleted by mnt.

SHA-1: 49886637d2f0a7ce01a02257140548e0c049c763

Related Changesets

occt: master 8019a482

2021-09-02 12:32:11

asemenov


Committer: smoskvin Details Diff
0029233: Incorrect result of conversion to the STEP format.

Modified the method TopoDSToStep_MakeStepFace::Init
Added processing of degenerate toroidal surfaces, which are the base surfaces of offset surfaces
Added test
Affected Issues
0029233
mod - src/TopoDSToStep/TopoDSToStep_MakeStepFace.cxx Diff File
add - tests/bugs/step/bug29233 Diff File

Issue History

Date Modified Username Field Change
2017-10-17 11:29 aml New Issue
2017-10-17 11:29 aml Assigned To => gka
2017-10-17 11:29 aml File Added: bean.brep
2017-10-17 11:29 aml File Added: BadResult.png
2019-09-04 13:04 abv Target Version 7.4.0 => 7.5.0
2020-09-15 12:03 gka Target Version 7.5.0 => 7.6.0
2021-06-07 15:55 ika Assigned To gka => asemenov_ext
2021-09-02 15:57 git Note Added: 0103680
2021-09-02 16:06 kgv Note Added: 0103682
2021-09-06 16:19 ika Assigned To asemenov_ext => ika
2021-09-06 16:20 ika Assigned To ika => asemenov_ext
2021-09-06 16:26 kgv Summary Incorrect result of conversion to the STEP format. => Data Exchange - Incorrect result of conversion to the STEP format.
2021-09-07 13:40 asemenov_ext Assigned To asemenov_ext => aml
2021-09-07 13:54 asemenov_ext Assigned To aml => asemenov_ext
2021-09-07 14:00 git Note Added: 0103887
2021-09-07 14:02 asemenov_ext Test case number => bugs step bug29233
2021-09-07 14:02 asemenov_ext Note Added: 0103888
2021-09-07 14:02 asemenov_ext Description Updated
2021-09-07 14:03 asemenov_ext Note Added: 0103889
2021-09-07 14:05 asemenov_ext Assigned To asemenov_ext => ika
2021-09-07 14:11 asemenov_ext Status new => resolved
2021-09-07 14:41 ika Note Added: 0103892
2021-09-07 14:41 ika Assigned To ika => asemenov_ext
2021-09-07 14:41 ika Status resolved => assigned
2021-09-07 16:07 git Note Added: 0103896
2021-09-07 16:50 asemenov_ext Note Added: 0103897
2021-09-07 16:51 asemenov_ext Assigned To asemenov_ext => ika
2021-09-07 16:53 asemenov_ext Status assigned => resolved
2021-09-08 16:31 ika Note Added: 0103929
2021-09-08 16:31 ika Assigned To ika => bugmaster
2021-09-08 16:31 ika Status resolved => reviewed
2021-09-11 13:25 smoskvin Note Added: 0104007
2021-09-11 13:25 smoskvin Status reviewed => tested
2021-09-11 13:43 smoskvin Changeset attached => occt master 8019a482
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:05 git Note Added: 0104022